﻿using System.Windows.Forms;
using System.Web.ClientServices.Providers;

public partial class frmLogin : Form,
  IClientFormsAuthenticationCredentialsProvider
{
  public frmLogin()
  {
    InitializeComponent();
  }

  public ClientFormsAuthenticationCredentials GetCredentials()
  {
    if (this.ShowDialog() == DialogResult.OK)
    {
      return new ClientFormsAuthenticationCredentials(
        txtUserName.Text, txtPassword.Text, chkRemember.Checked);
    }

    return null;
  }
}

// frmLogin, ClientApp