﻿using System;
using System.Threading;
using System.Web.ClientServices;
using System.Web.ClientServices.Providers;
using System.Web.Security;
using System.Windows.Forms;
using ClientApp.Properties;

public partial class Form1 : Form
{
  public Form1()
  {
    InitializeComponent();
  }

  private void Form1_Load(object sender, EventArgs e)
  {
    // log in - membership/authentication
    bool log = Membership.ValidateUser(null, null);
    if (!log)
    {
      MessageBox.Show("Failed to login");
      this.Close();
      return;
    }

    // user role service
    if (Thread.CurrentPrincipal.IsInRole("boss"))
      this.Text = "Welcome, have a nice day :)";
    else
      this.Text = "Get to work!";
      
  }

  private void btnLoad_Click(object sender, EventArgs e)
  {
    txtLow.Text = Settings.Default.lowValue.ToString();
    txtHigh.Text = Settings.Default.highValue.ToString();
  }

  private void btnSave_Click(object sender, EventArgs e)
  {
    Settings.Default.lowValue = Convert.ToInt32(txtLow.Text);
    Settings.Default.highValue = Convert.ToInt32(txtHigh.Text);
    Settings.Default.Save();
  }
}

// http://localhost:55666/AppServices








